//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Email for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to create a new message in EML, MSG or MHT formats
//==========================================================================================================//

import com.aspose.email.MailAddress;
import com.aspose.email.MailMessage;
import com.aspose.email.MailMessageSaveType;

public class CreateMessage
{
    // Base folder to load and save files used in this demo
    private static String strBaseFolder = "D:\\Data\\Aspose\\resources\\";
    
    public static void main(String[] args)
    {
        // Set license
        setLicense();

        try
        {
            System.out.println("Creating new messages....");
            
            // Create a new instance of MailMessage class
            MailMessage message = new MailMessage();
            // Set sender information
            message.setFrom(new MailAddress("from@domain.com", "Sender Name", false));
            // Add recipients
            message.getTo().add(new MailAddress("to1@domain.com", "Recipient 1", false));
            message.getTo().add(new MailAddress("to2@domain.com", "Recipient 2", false));
            // Set subject of the message
            message.setSubject("New message created by Aspose.Email for Java");
            // Set Html body
            message.setHtmlBody("<b>This line is in bold.</b> <br/> <br/>" +
                    "<font color=blue>This line is in blue color</font>");

            // Save message in EML, MSG and MHTML formats
            message.save(strBaseFolder + "New.eml", MailMessageSaveType.getEmlFormat());
            message.save(strBaseFolder + "New.msg", MailMessageSaveType.getOutlookMessageFormat());
            message.save(strBaseFolder + "New.mhtml", MailMessageSaveType.getMHtmlFromat());
            System.out.println("Messages created successfuly");
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }

    private static void setLicense()
    {
        try
        {
            // Set license. Provide full path and license file name
            com.aspose.email.License licEmail = new com.aspose.email.License();
            licEmail.setLicense(strBaseFolder + "Aspose.Total.Product.Family.lic");
        }
        catch(Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
