//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Email for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to create a new message in MSG format with Draft status
// The draft message can then be edited in MS Outlook and sent
//==========================================================================================================//

import com.aspose.email.MailAddress;
import com.aspose.email.MailMessage;
import com.aspose.email.MapiMessage;
import com.aspose.email.MapiMessageFlags;

public class CreateMsgDraft
{
    // Base folder to load and save files used in this demo
    private static String strBaseFolder = "D:\\Data\\Aspose\\resources\\";

    public static void main(String[] args)
    {
        // Set license
        setLicense();

        try
        {
            System.out.println("Creating new messages....");

            // Create a new instance of MailMessage class
            MailMessage message = new MailMessage();
            // Set sender information
            message.setFrom(new MailAddress("from@domain.com", "Sender Name", false));
            // Add recipients
            message.getTo().add(new MailAddress("to1@domain.com", "Recipient 1", false));
            message.getTo().add(new MailAddress("to2@domain.com", "Recipient 2", false));
            // Set subject of the message
            message.setSubject("New message created by Aspose.Email for Java");
            // Set Html body
            message.setHtmlBody("body of the message");

            // Get instance of MapiMessage
            MapiMessage mapiMsg = MapiMessage.fromMailMessage(message);
            // Set draft flag to the message
            mapiMsg.setMessageFlags(MapiMessageFlags.MSGFLAG_UNSENT | MapiMessageFlags.MSGFLAG_FROMME);
            // Save the draft in MSG format
            mapiMsg.save(strBaseFolder + "Draft.msg");
            System.out.println("Message created successfuly");
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }

    private static void setLicense()
    {
        try
        {
            // Set license. Provide full path and license file name
            com.aspose.email.License licEmail = new com.aspose.email.License();
            licEmail.setLicense(strBaseFolder + "Aspose.Total.Product.Family.lic");
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
