//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Email for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to load a message in EML, MSG or MHTML format
// and display the contents of the message like subjct, sender, recipients, attachments etc
//==========================================================================================================//

import com.aspose.email.Attachment;
import com.aspose.email.MailMessage;
import com.aspose.email.MessageFormat;

public class LoadMessage
{
    // Base folder to load and save files used in this demo
    private static String strBaseFolder = "D:\\Data\\Aspose\\resources\\";

    public static void main(String[] args)
    {
        // Set license
        setLicense();

        try
        {
            System.out.println("Loading messages....");

            // load a message in EML, MSG or MHTML format
            MailMessage message = MailMessage.load(strBaseFolder + "New.eml", MessageFormat.getEml());
            //MailMessage message = MailMessage.load(strBaseFolder + "New.msg", MessageFormat.getMsg());
            //MailMessage message = MailMessage.load(strBaseFolder + "New.mht", MessageFormat.getMht());

            // Display subject
            System.out.println("Subject: " + message.getSubject());
            // Display sender's information
            System.out.println("Sender: " + message.getFrom());
            // Display recipient's information
            for (int i=0 ; i<message.getTo().size() ; i++)
            {
                System.out.println("To: " + message.getTo().get(i));
            }
            // Display the attachment names
            for (int i=0 ; i<message.getAttachments().size() ; i++)
            {
                Attachment att = (Attachment)message.getAttachments().get(i);
                System.out.println("Attachment: " + att.getName());

                // Save the attachment to disk
                att.save(strBaseFolder + att.getName());
            }

            // Display the text and HTML body of the message
            System.out.println("Text body: " + message.getTextBody());
            System.out.println("HTML body: " + message.getHtmlBody());
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }

    private static void setLicense()
    {
        try
        {
            // Set license. Provide full path and license file name
            com.aspose.email.License licEmail = new com.aspose.email.License();
            licEmail.setLicense(strBaseFolder + "Aspose.Total.Product.Family.lic");
        }
        catch(Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
