//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Email for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to create and load an appointment in ICS format
//==========================================================================================================//

import com.aspose.email.Appointment;
import com.aspose.email.AppointmentSaveFormat;
import com.aspose.email.MailAddress;
import com.aspose.email.MailAddressCollection;
import java.util.Date;

public class ManageAppointment
{
    // Base folder to load and save files used in this demo
    private static String strBaseFolder = "D:\\Data\\Aspose\\resources\\";

    public static void main(String[] args)
    {
        // Set license
        setLicense();

        System.out.println("Creating appointment....");
        // Specify appointment organizer
        MailAddress sender = new MailAddress("sender@domain.com");
        // Specify attendees
        MailAddressCollection recipientsColl = new MailAddressCollection();
        recipientsColl.add("recipient1@domain.com");
        recipientsColl.add("recipient2@domain.com");
        // Create a new appointment
        Appointment appNew = new Appointment("Location", new Date(), new Date(), sender, recipientsColl);
        appNew.setSummary("Summary of the appointment");
        appNew.setDescription("Description of the appointment");
        appNew.save(strBaseFolder + "appointment.ics", AppointmentSaveFormat.ICS);
        System.out.println("Appointment saved to disk");

        // Load the appointment from disk and display its contents
        System.out.println("Reading the appointment....");
        Appointment appLoad = Appointment.load(strBaseFolder + "appointment.ics");
        System.out.println("Summary: " + appLoad.getSummary());
        System.out.println("Description: " + appLoad.getDescription());
        System.out.println("Location: " + appLoad.getLocation());
        System.out.println("Organizer: " + appLoad.getOrganizer());
        System.out.println("Attendees: " + appLoad.getAttendees());
    }

    private static void setLicense()
    {
        try
        {
            // Set license. Provide full path and license file name
            com.aspose.email.License licEmail = new com.aspose.email.License();
            licEmail.setLicense(strBaseFolder + "Aspose.Total.Product.Family.lic");
        }
        catch(Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
