//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Email for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to load an Outlook PST file and display all the folders information
// inside the root folder
//==========================================================================================================//

import com.aspose.email.FolderInfo;
import com.aspose.email.FolderInfoCollection;
import com.aspose.email.PersonalStorage;

public class PSTGetFolders
{
    // Base folder to load and save files used in this demo
    private static String strBaseFolder = "D:\\Data\\Aspose\\resources\\";

    public static void main(String[] args)
    {
        // Set license
        setLicense();

        String pstFileName = strBaseFolder + "Outlook.pst";

        try
        {
            // load the Outlook PST file
            PersonalStorage pst = PersonalStorage.fromFile(pstFileName);

            // get the Display Name of the PST file
            System.out.println("Display Name: " + pst.getDisplayName() + "\n");

            // get the folders information
            FolderInfoCollection folderInfoCollection = pst.getRootFolder().getSubFolders();
            // browse through each folder to display folder name and number of messages
            for (int i = 0; i < folderInfoCollection.size(); i++)
            {
                FolderInfo folderInfo = (FolderInfo) folderInfoCollection.get(i);
                System.out.println("Folder: " + folderInfo.getDisplayName());
                System.out.println("Total items: " + folderInfo.getContentCount());
                System.out.println("Total unread items: " + folderInfo.getContentUnreadCount());
                System.out.println();
            }
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }

    private static void setLicense()
    {
        try
        {
            // Set license. Provide full path and license file name
            com.aspose.email.License licEmail = new com.aspose.email.License();
            licEmail.setLicense(strBaseFolder + "Aspose.Total.Product.Family.lic");
        }
        catch(Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
