//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Email for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
// This demo explains the steps to load Thunderbird's MBOX storage file
// and extract messages from it
//==========================================================================================================//

import com.aspose.email.MailMessage;
import com.aspose.email.MboxrdStorageReader;
import java.io.FileInputStream;

public class ThunderbirdMboxRead
{
    // Base folder to load and save files used in this demo
    private static String strBaseFolder = "D:\\Data\\Aspose\\resources\\";

    public static void main(String[] args) throws Exception
    {
        // Set license
        setLicense();

        String mboxFileName = strBaseFolder + "xp\\inbox";
        FileInputStream stream = null;
        try
        {
            stream = new FileInputStream(mboxFileName);
            MboxrdStorageReader reader = new MboxrdStorageReader(stream, true);

            try
            {
                MailMessage msg;
                while ((msg = reader.readNextMessage()) != null)
                {
                    System.out.println(msg.getSubject());
                }
            }
            finally
            {
                if (reader != null) reader.dispose();
            }
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
        finally
        {
            if (stream != null)
                stream.close();
        }
    }

    private static void setLicense()
    {
        try
        {
            // Set license. Provide full path and license file name
            com.aspose.email.License licEmail = new com.aspose.email.License();
            licEmail.setLicense(strBaseFolder + "Aspose.Total.Product.Family.lic");
        }
        catch(Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
